post
https://api.supportbench.com/article
Create or update a knowledge base article.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Creating and updating an article from the API can be done by posting your article object to Supportbench.
The only difference between article creations and updates is including a article id within the article object.
When creating or updating a article , the below fields are available to you.
| Name | Required | Limit | Default | Availability | Summary |
|---|---|---|---|---|---|
| id_prefix | no | 5 characters | "AR" | New | The prefix of the article. You can assign new article prefix's within the API administration section. |
| id_source | no | 25 characters | New | The source id of the article. You can assign custom ID's from existing systems or assign your own id. | |
| id | no - when creating yes - when updating | 30 characters | Update | The full article id including the prefix. | |
| title | yes | 250 characters | New / Update | The article title. | |
| summary | no | 250 characters | New / Update | The article summary. | |
| content | no | Unlimited | New / Update | The article content as HTML. | |
| published | no | Boolean | False | New / Update | The published state of the article. 0 = Internal, 1 = available to the community. |
| status_id | no | Integer | 10 | New / Update | The status of the article. |
| owner_id | no | Integer | New / Update | The agent who owns this article. | |
| hot | no | Boolean | False | New / Update | Whether the article is a hot article or not and available within the case addition screen. |
| queue_id | no | Integer | New / Update | The queue this article is assigned to. | |
| review_date | no | DateTime | New / Update | The date this article will expire and trigger the review action. | |
| review_action | no | Integer | 10 | New / Update | The action that takes place once the article has expired. |
| category_id | no | Integer | New / Update | The related case category id of the article. | |
| priority_id | no | Integer | New / Update | The related case priority id of the article. | |
| issue_id | no | Integer | New / Update | The related case issue id of the article. | |
| outcome_id | no | Integer | New / Update | The related case outcome id of the article. | |
| tags | no | 100 characters per tag | New / Update | A tag array assigned to the article. If updating, the tags defined here will overwrite any existing tags. | |
| fields | no | See field object | New / Update | A field array of custom fields to insert or update. Please see the field object below. | |
| container_ids | no | Integer array | no | New / Update | Assigns containers. Omit to preserve, send [] to clear. |
| ai_noindex | no | Boolean | no | New / Update | Excludes the article from AI indexing where honored. |
| locale | no | 25 chars | no | New / Update | Creates a localized article version snapshot for the supplied locale. |
Fields Object
| Name | Required | Limit | Default | Summary |
|---|---|---|---|---|
| id | yes | Integer | The field id of the field you wish to update. The field id must map to a valid field in the article. | |
| value | yes | Dropdown list - Integer Checkbox - Boolean Text box - Unlimited | The value of the custom field. The value is dependent on the field type. |

